Summary:	Python bindings for GNU libextractor
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNU libextractor
Name:		python-libextractor
Version:	0.6
Release:	3
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://ftp.gnu.org/gnu/libextractor/libextractor-python-%{version}.tar.gz
# Source0-md5:	adea21c10163d262e02154b21b4f74a2
URL:		http://gnunet.org/libextractor/
BuildRequires:	libextractor-devel >= 0.6
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	libextractor >= 0.6
%pyrequires_eq	python-libs
Obsoletes:	python-extractor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for GNU libextractor.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GNU libextractor.

%prep
%setup -q -n Extractor-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/extract.py
%{py_sitescriptdir}/extractor.py[co]
%{py_sitescriptdir}/Extractor-0.6-py*.egg-info
%changelog
* Sat Dec 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-libextractor.git;a=log;h=master

* Sat Dec 19 2015 Jan Rękorajski <baggins@pld-linux.org> 9bebeb8
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 44f39a1
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 06e84e8
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 81f3899
- automatic change: use py_build/py_install macros

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 3569976
- updated/switched to ctypes bindings, version 0.6

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 1fbfe32
- module name

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> e80a9d1
- swap (rpm dislikes utf8 in first 512 bytes)

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> d3a610f
- autoböö magican needed

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> 455aa61
- fix python detect invoking find(1) on /usr, based on my libopensync earlier patch

* Sat Jul 17 2010 Elan Ruusamäe <glen@pld-linux.org> 8e66cac
- based on libopensync/libopensync-py-m4.patch (r1.4)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 98d57ae
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 497728b
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 28ac31b
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 08e54b4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5cff126
- converted to UTF-8

* Mon Aug 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 121407f
- updated to 0.5.4, updated destdir patch

* Mon Aug 29 2005 Jakub Bogusz <qboosh@pld-linux.org> bcbe12d
- updated for 0.5.4

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> f5489e1
- oops, Obsoletes: python-extractor

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 8328e75
- separated from libextractor.spec

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> a141f9d
- DESTDIR fix (based on libextractor-make_python.patch)

